export declare enum Mode {
    Continue = 0,
    Normal = 1
}
export declare enum Position {
    TopRight = 0,
    TopMiddle = 1,
    TopLeft = 2,
    MiddleRight = 3,
    MiddleMiddle = 4,
    MiddleLeft = 5,
    BottomRight = 6,
    BottomMiddle = 7,
    BottomLeft = 8
}
export declare enum TileState {
    Draw = 0,
    Empty = 1,
    Player1 = "X",
    Player2 = "0"
}
export declare enum WinningLine {
    TopRow = 0,
    MiddleRow = 1,
    BottomRow = 2,
    LeftColumn = 3,
    MiddleColumn = 4,
    RightColumn = 5,
    TopLeftBottomRightDiagonal = 6,
    TopRightBottomLeftDiagonal = 7,
    Surrender = 8
}
export interface Assets {
    history: number[];
    mode: Mode;
    sectionStates: SectionState[];
    winner: SectionState;
}
export interface Index2D {
    x: number;
    y: number;
}
export interface Section {
    position: Position;
    tiles: Tile[][];
}
export interface Tile {
    state: TileState;
    index1D: number;
}
export declare type SectionState = [TileState.Player1 | TileState.Player2, WinningLine] | [TileState.Empty, null] | [TileState.Draw, null];
//# sourceMappingURL=index.d.ts.map