"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const checkIfTileState_1 = __importDefault(require("./checkIfTileState"));
const checkIfTile_1 = __importDefault(require("./checkIfTile"));
const checkIfBoard = (board) => {
    if (!Array.isArray(board) || Object.keys(board).length === 0) {
        return false;
    }
    if (board.length !== 9 && board.length !== 81) {
        return false;
    }
    if (board.length === 81) {
        return board.every((item) => (0, checkIfTileState_1.default)(item));
    }
    if (board.length === 9) {
        return board.every((row, indexRow) => Array.isArray(row) &&
            Object.keys(row).length &&
            row.length === board.length &&
            row.every((item, indexCol) => (0, checkIfTile_1.default)(item) && indexCol + indexRow * 9 === item.index1D));
    }
    return true;
};
exports.default = checkIfBoard;
//# sourceMappingURL=checkIfBoard.js.map