"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const checkIfTile_1 = __importDefault(require("./checkIfTile"));
const checkIfTileState_1 = __importDefault(require("./checkIfTileState"));
const checkIfSection = (section) => {
    if (!Array.isArray(section) || Object.keys(section).length === 0) {
        return false;
    }
    if (section.length !== 9 && section.length !== 3) {
        return false;
    }
    if (section.length === 9 &&
        section.some((tileState) => !(0, checkIfTileState_1.default)(tileState))) {
        return false;
    }
    if (section.length === 3 &&
        section.some((tiles) => !Array.isArray(tiles) ||
            Object.keys(tiles).length !== 3 ||
            tiles.some((tile) => !(0, checkIfTile_1.default)(tile)))) {
        return false;
    }
    return true;
};
exports.default = checkIfSection;
//# sourceMappingURL=checkIfSection.js.map