"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../types");
const convertTo1DArray_1 = __importDefault(require("./convertTo1DArray"));
const mapMatrix_1 = __importDefault(require("./mapMatrix"));
const checkIfSection_1 = __importDefault(require("./checkIfSection"));
const checkIfSectionIsFull = (section) => {
    let array1D;
    if (!(0, checkIfSection_1.default)(section)) {
        throw new Error('section should be valid.');
    }
    if (section.length === 3) {
        const matrixOfState = (0, mapMatrix_1.default)(section, (tile) => tile.state);
        array1D = (0, convertTo1DArray_1.default)(matrixOfState);
    }
    else {
        array1D = [...section];
    }
    const isNotFull = array1D.some((tile) => tile === types_1.TileState.Empty);
    return !isNotFull;
};
exports.default = checkIfSectionIsFull;
//# sourceMappingURL=checkIfSectionIsFull.js.map