"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../types");
const checkIfTileState_1 = __importDefault(require("./checkIfTileState"));
const checkIfWinningLine_1 = __importDefault(require("./checkIfWinningLine"));
const checkIfSectionState = (arg) => {
    if (!Array.isArray(arg) ||
        Object.keys(arg).length === 0 ||
        arg.length !== 2 ||
        !(0, checkIfTileState_1.default)(arg[0])) {
        return false;
    }
    if ((arg[0] === types_1.TileState.Empty || arg[0] === types_1.TileState.Draw) &&
        arg[1] !== null) {
        return false;
    }
    if ((arg[0] === types_1.TileState.Player1 || arg[0] === types_1.TileState.Player2) &&
        !(0, checkIfWinningLine_1.default)(arg[1])) {
        return false;
    }
    return true;
};
exports.default = checkIfSectionState;
//# sourceMappingURL=checkIfSectionState.js.map