"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../types");
const checkIfHistory_1 = __importDefault(require("./checkIfHistory"));
const checkIfMode_1 = __importDefault(require("./checkIfMode"));
const checkIfSectionIsFull_1 = __importDefault(require("./checkIfSectionIsFull"));
const checkIfWon_1 = __importDefault(require("./checkIfWon"));
const getSections_1 = __importDefault(require("./getSections"));
const checkIfValidSection = (history, sectionIndex, mode = types_1.Mode.Normal) => {
    if (!(0, checkIfHistory_1.default)(history)) {
        throw new Error('history should be valid.');
    }
    if (sectionIndex < 0 || sectionIndex > 8) {
        throw new Error('sectionIndex should be contain between 0 and 8.');
    }
    if (!(0, checkIfMode_1.default)(mode)) {
        throw new Error('mode should be valid.');
    }
    const { tiles } = (0, getSections_1.default)(history)[sectionIndex];
    if ((0, checkIfSectionIsFull_1.default)(tiles)) {
        return false;
    }
    if (mode === types_1.Mode.Normal && (0, checkIfWon_1.default)(tiles)[0] !== types_1.TileState.Empty) {
        return false;
    }
    return true;
};
exports.default = checkIfValidSection;
//# sourceMappingURL=checkIfValidSection.js.map