"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../types");
const checkIfHistory_1 = __importDefault(require("./checkIfHistory"));
const getPlayerMoves_1 = __importDefault(require("./getPlayerMoves"));
const generateBoardFromHistory = (history) => {
    if (!(0, checkIfHistory_1.default)(history)) {
        throw new Error('history is invalid');
    }
    const board = new Array(81).fill(types_1.TileState.Empty);
    if (history.length > 0) {
        (0, getPlayerMoves_1.default)(types_1.TileState.Player1, history).forEach((move) => {
            board[move] = types_1.TileState.Player1;
        });
        (0, getPlayerMoves_1.default)(types_1.TileState.Player2, history).forEach((move) => {
            board[move] = types_1.TileState.Player2;
        });
    }
    return board;
};
exports.default = generateBoardFromHistory;
//# sourceMappingURL=generateBoardFromHistory.js.map