"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../types");
const checkIfHistory_1 = __importDefault(require("./checkIfHistory"));
const checkIfPlayer_1 = __importDefault(require("./checkIfPlayer"));
const getPlayerMoves = (player, history) => {
    if (!(0, checkIfPlayer_1.default)(player)) {
        throw new Error('player should be valid');
    }
    if (!(0, checkIfHistory_1.default)(history)) {
        throw new Error('history should be valid');
    }
    if (player === types_1.TileState.Player1) {
        return history.filter((_, index) => index % 2 === 0);
    }
    return history.filter((_, index) => index % 2);
};
exports.default = getPlayerMoves;
//# sourceMappingURL=getPlayerMoves.js.map