"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../types");
const boardSections_1 = __importDefault(require("../assets/boardSections"));
const getTileIndexPositionAndSection = (position) => {
    if (position < 0 || position >= 81) {
        throw new Error('position out of bound');
    }
    const positions = [
        types_1.Position.TopLeft,
        types_1.Position.TopMiddle,
        types_1.Position.TopRight,
        types_1.Position.MiddleLeft,
        types_1.Position.MiddleMiddle,
        types_1.Position.MiddleRight,
        types_1.Position.BottomLeft,
        types_1.Position.BottomMiddle,
        types_1.Position.BottomRight,
    ];
    const section = boardSections_1.default.reduce((previous, current, index) => {
        if (current.includes(position)) {
            return {
                section: index,
                position: positions[current.indexOf(position)],
                index: current.indexOf(position),
            };
        }
        else {
            return previous;
        }
    }, { index: 0, position: types_1.Position.TopLeft, section: 0 });
    return section;
};
exports.default = getTileIndexPositionAndSection;
//# sourceMappingURL=getTileIndexPositionAndSection.js.map