"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const checkIfTileState_1 = __importDefault(require("./checkIfTileState"));
const checkIfTile_1 = __importDefault(require("./checkIfTile"));
const convertTo2DArray_1 = __importDefault(require("./convertTo2DArray"));
const transposeMatrix = (array) => {
    let array2D;
    // Check if section is a 9 length array or
    // a 3x3 Matrix and assign to array2D
    // a 3x3 representation of section.
    if (!Array.isArray(array) || Object.keys(array).length === 0) {
        throw new Error('arg should be a 9 or 81 length array or a 3x3 or 9x9 matrix');
    }
    if (array.length !== 3 && array.length !== 9 && array.length !== 81) {
        throw new Error('arg should be a 9 or 81 length array or a 3x3 or 9x9 matrix');
    }
    // Check for 3x3 matrix
    if (array.length === 3) {
        array.forEach((row) => {
            if (!Array.isArray(row) ||
                Object.keys(row).length === 0 ||
                row.length !== array.length) {
                throw new Error('arg should be a 9 or 81 length array or a 3x3 or 9x9 matrix');
            }
            row.forEach((tile) => {
                if (!(0, checkIfTile_1.default)(tile)) {
                    throw new Error('matrix arg should be a matrix of tile');
                }
            });
        });
        array2D = [...array];
    }
    else if (array.length === 9) {
        const isMatrix = array.some((item) => Array.isArray(item));
        // Check for 9x9 matrix.
        if (isMatrix) {
            array.forEach((row) => {
                if (!Array.isArray(row) ||
                    Object.keys(row).length === 0 ||
                    row.length !== array.length) {
                    throw new Error('arg should be a 9 or 81 length array or a 3x3 or 9x9 matrix');
                }
                row.forEach((tile) => {
                    if (!(0, checkIfTile_1.default)(tile)) {
                        throw new Error('matrix arg should be a matrix of tile');
                    }
                });
            });
            array2D = [...array];
            // Check for 9 length 1D array
        }
        else {
            array.forEach((item) => {
                if (!(0, checkIfTileState_1.default)(item)) {
                    throw new Error('array arg should be an array of tileState');
                }
            });
            array2D = (0, convertTo2DArray_1.default)(array);
        }
        // Check for 81 length 1D array
    }
    else {
        array.forEach((item) => {
            if (!(0, checkIfTileState_1.default)(item)) {
                throw new Error('array arg should be an array of tileState');
            }
        });
        array2D = (0, convertTo2DArray_1.default)(array);
    }
    const transposedArray2D = array2D[0].map((_, colIndex) => array2D.map((row) => row[colIndex]));
    return transposedArray2D;
};
exports.default = transposeMatrix;
//# sourceMappingURL=transposeMatrix.js.map